#!/bin/bash

HORIZON_UPDATE_FILE_PATH="/usr/lib/python2.7/dist-packages/horizon/tables/base.py"
NOVA_UPDATE_FILE_PATH="/usr/lib/python2.7/dist-packages/nova/db/sqlalchemy/api.py"

HORIZON_PATCH_FILE_PATH="./base.patch"
NOVA_PATCH_FILE_PATH="./api.patch"

NOVA_API_RESTART_CMD="sudo restart nova-api"
APACHE_RESTART_CMD="service apache2 restart"

# declare function execute
execute(){
	cmd=$1
	#result=$($cmd 2>&1)
	result=`eval ${cmd} 2>&1` 

	if test $? -eq 0 ;
	then 
		return 0
	else
		echo "ERROR : ${result}"
		exit 1
	fi
}

execute "patch -u $HORIZON_UPDATE_FILE_PATH < $HORIZON_PATCH_FILE_PATH"
execute "patch -u $NOVA_UPDATE_FILE_PATH < $NOVA_PATCH_FILE_PATH"
execute "$NOVA_API_RESTART_CMD"
execute "$APACHE_RESTART_CMD"
